Package org.eclipse.graphiti.internal

# Interface IDiagramVersion

public interface IDiagramVersion
Provides constants for the Graphiti diagram versions and a description of the changes. Digram versioning was not in place until Graphiti 0.8.0 and was introduced for Juno M3 (version 0.9.0).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CURRENT`
`static final String`
`VERSION_ENABLE_TEXT_BACKGROUND`
See https://bugs.eclipse.org/bugs/show_bug.cgi?id=360800:
The background property of text GAs was ignored, the background color was always set to white.

## Field Details

### VERSION_ENABLE_TEXT_BACKGROUND

static final String VERSION_ENABLE_TEXT_BACKGROUND
See https://bugs.eclipse.org/bugs/show_bug.cgi?id=360800:
The background property of text GAs was ignored, the background color was always set to white. Changing that to the default behaviour caused old diagrams (not haveing the background color set for texts) appear awkward.

See Also:
  - Constant Field Values

### CURRENT

static final String CURRENT

See Also:
  - Constant Field Values